.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH HC 1 "February 29, 2012"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
httpcode \- explains the meaning of an HTTP status code on the command line 
.SH SYNOPSIS
.B hc
.RI "[ options ] [ code ]"
.SH DESCRIPTION
This manual page documents briefly the
.B httpcode
commands.
.PP
.\" TeX users may be more comfortable with the \fB<whatever>\fP and
.\" \fI<whatever>\fP escape sequences to invode bold face and italics,
.\" respectively.
\fBhttpcode\fP is a little utility that explains the meaning of an HTTP status code on the command line. 
.SH OPTIONS
These programs follow the usual GNU command line syntax, with long
options starting with two dashes (`-').
A summary of options is included below.
For a complete description, see the Info files.
.TP
.B \-h, \-\-help
Show summary of options.
.TP
.B \-s SEARCH, \-\-search=SEARCH
Search for a code by name or description. Search text may contain regular expressions.
.SH USAGE
.LP
Lists all available HTTP status codes and their description:
.LP
hc
.LP
Explain 405 status code:
.LP
hc 405
.LP
Search code(s) by description (case-insensitive):
.LP
hc \-s too
.LP
Filter codes with a regex
.LP
hc 30[12]
.LP
Use an 'x' for any digit
.LP
hc 1xx
.SH AUTHOR
httpcode was written by Ruslan Spivak <ruslan.spivak@gmail.com>.
.PP
This manual page was written by Khalid El Fathi <khalid@elfathi.fr>,
for the Debian project (and may be used by others).
